Frage von RaceShafter, 42

PocketMine kommt mit PHP7 nicht klar?

Wenn ich PocketMine starten möchte, dann kommt folgendes:

./start.sh: Zeile 54: /home/tom/bin/php7/bin/php: Kann die Binärdatei nicht ausführen: Fehler im Format der Programmdatei

./start.sh: Zeile 54: /home/tom/bin/php7/bin/php: Erfolg

Was kann ich tun? Nutze Debian 8.5 :)

Antwort
von Minecrafter2002, 33

Noch ein Debian Benutzer! :D
Hatte diese Fehler auch.
Hab dann aber diese bin Ordner benutzt:

https://dl.bintray.com/pocketmine/PocketMine/

Kommentar von RaceShafter ,

Welchen aus der Liste denn bitte schön? Da sind so viele. Benutze Debian 8.5 64Bit.

Kommentar von RaceShafter ,

Ich habe nun das unterste für 64Bit und Linux genommen. Aber dann kam bei mir:

error while loading shared libraries: libyaml-0.so.2: cannot open shared object file: No such file or directory

Was nun?

Kommentar von Minecrafter2002 ,

Benutzt du wirklich PocketMine oder vielleicht doch etwas anderes wie Genisys oder ClearSky?
ClearSky sollte kein Problem damit haben.

Genisys hat aber ein eigenen bin Ordner.

Keine passende Antwort gefunden?

Fragen Sie die Community